# Interface JspSourceImports

public interface JspSourceImports
The EL engine needs access to the imports used in the JSP page to configure the ELContext. The imports are available at compile time but the ELContext is created lazily per page. This interface exposes the imports at runtime so that they may be added to the ELContext when it is created.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getClassImports()`
  `Set<String>`
  `getPackageImports()`

- ## Method Details

  - ### getPackageImports

    Set<String> getPackageImports()

  - ### getClassImports

    Set<String> getClassImports()